use std::{fs, io::Write, path::PathBuf};

use crate::{asm_gen, tokenizer};

pub fn compile(program: Vec<u8>, name: String) {
	let tokens = tokenizer::tokenize(program);
	let asm = asm_gen::generate(tokens);

	let path: PathBuf = [".", &format!("./{name}.asm")].iter().collect();
	let mut file = fs::File::create(path).unwrap();
	file.write_all(asm.as_bytes()).unwrap();
}
